
#include "colors.inc"

#declare Rotacio_t= transform { rotate y*(360*clock) }

global_settings {
    ambient_light
    rgb <1.0,1.0,1.0>
 }

/*{{{ background, light_source, camera */

 background {
    color rgb <0,0,0>
 }

 light_source {
    <-2,3,-5>
    color rgb <.5,.5,.5> * 2
 }

 light_source {
    <-2,-3,-5>
    color rgb <.5,.5,.5> * 2
 }

 camera {
    location <0,0,-6>
    up y
    right -4*x/3
    angle 60
    sky <0,1,0>
    look_at <0,0,0>
 }

/*}}}*/
/*{{{ asteroid texture */

#declare asteroidfinish = finish {
  ambient 0.5
  diffuse 1
  specular 0.3
  roughness .1
  }
#declare asteroidnormal = normal {
   bumps 0.5
   scale 0.02
   }

#declare asteroidmat = texture {
  pigment {
  color rgb <0.5,0.5,0.5>
  }
  finish { asteroidfinish }
  normal { asteroidnormal }
                                                                                                        }
/*}}}*/

object{
        union{
                #include "./toutatis.inc"
        }
        texture {
                pigment {color rgb <1,0.9,0.8>}
                finish {specular 0.2 roughness 0.4 ambient 0.0}
                normal{wrinkles 0.2 scale 0.1 }
        }


    transform Rotacio_t

 }


#declare SRgeneric = union {
                        cylinder{<0, 0, 0>, <2 , 0, 0>, .02 texture { pigment { color Red   } }  }
                        cylinder{<0, 0, 0>, <0, 2 , 0>, .02 texture { pigment { color Green } }  }
                        cylinder{<0, 0, 0>, <0, 0,  3>, .02 texture { pigment { color Blue  } }  }
                           }
   object{SRgeneric
     transform Rotacio_t
   }



